Bug 77068 - X using Xinerama hangs on logout from gnome.
X using Xinerama hangs on logout from gnome.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-31 13:28 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-18 23:10:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-31 13:28:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
X using Xinerama (AGP NVidia GeForce2 MX 200 as primary using nv driver, PCI
Voodoo3 2000 using tdfx driver) hangs on logout from gnome.  After logout, X
restarts to gray screen with X mouse cursor; no login screen.  The mouse pointer
moves when the mouse is moved, but the keyboard is locked so I can't get to a
terminal, can't do emergency shutdown (Ctrl-Alt-Del), can't restart X
(Ctrl-Alt-BackSp), and I have to use the reset button to get linux back up. 
Keyboard is set up to use US standard 105 key, mouse is USB logitech, X version
is whatever came prebuilt with RedHat 8.  I assume that this is a gdm problem,
but I don't know how to test it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RedHat 8.0 on computer with graphics cards mentioned above.  Note
that automatic X configuration will fail and you will have to tinker with the
XF86Config file yourself.
2. telinit 3 to get to non-X mode.
3. Tinker with the XF86Config file, putting the AGP card as the left screen and
the PCI as right.
4. telinit 5 to restart X mode.  gdm starts fine, login screen is on one screen
instead of on the line between the two monitors (very nice).  Login to gnome.
5. Play around in gnome for a bit setting configuration to how you like it.
6. Logout.  X will hang as described above.
	

Actual Results:  X hangs, have to reboot the computer to get linux back.  It's
possible that you can telnet (or ssh) into the computer and kill X, but I don't
have another computer with which to test that.

Expected Results:  The login screen should come back up, and the keyboard should
still be enabled.

Additional info:
Comment 1 Mike A. Harris 2002-11-05 10:03:18 EST
Attach X config, and log file using link below please.
Comment 2 Mike A. Harris 2002-12-18 23:10:12 EST
Closing bug due to inactivity and lack of information.
Comment 3 Darryl Dixon 2004-04-20 23:52:36 EDT
Happens for me also in RH9 and FC1 with all relevant updates.
Below is a copy of /etc/X11/XF86Config:
-------------------------------8<-------------------------------------
Section "ServerFlags"
        Option "Xinerama"
EndSection

Section "ServerLayout"
        Identifier      "Layout1"
        Screen  0       "Screen0"
        Screen  1       "Screen1" Above "Screen0"
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "DevInputMice" "AlwaysCore"
EndSection

Section "Files"


        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"


        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "InputDevice"
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Resolution" "10000"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Generic Laptop Display Panel 1024x768"
        HorizSync    30 - 86
        VertRefresh  48 - 100
        Option      "dpms"
EndSection

Section "Monitor"
        Identifier   "Monitor1"
        VendorName   "Monitor Vendor"
        ModelName    "Sun Microsystems 20inch 1280x1024"
        HorizSync    30 - 96
        VertRefresh  48 - 160
Modeline "1280x1024" 137.50 1280 1344 1504 1728 1024 1025 1028 1072
+hsync +vsync
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon Mobility 7500"
        VideoRam    16384
        Option          "SWcursor"      "1"
        Option          "AGPMode"       "4"
        Option          "AGPFastWrite"  "yes"
        Option          "EnablePageFlip" "yes"
        BusID           "PCI:01:00:0"
        Screen 0
EndSection

Section "Device"
        Identifier  "Videocard1"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon Mobility 7500"
        VideoRam    16384
        Option          "SWcursor"      "1"
        Option          "AGPMode"       "4"
        Option          "AGPFastWrite"  "yes"
        Option          "EnablePageFlip" "yes"
        BusID           "PCI:01:00:0"
        Screen 1
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

Section "Screen"
        Identifier "Screen1"
        Device     "Videocard1"
        Monitor    "Monitor1"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Modes    "1280x1024" "1152x864" "1024x768" "800x600"
"640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection
-------------------------------8<-------------------------------------

Additionally, if Gnome is exited via CTRL+ALT+BKSPC everything is
fine; the X server will reinitialise itself correctly with the login
screen.  I am happy to perform any testing required.

dixond AT pythonhacker.is-a-geek.net

Note You need to log in before you can comment on or make changes to this bug.